# $Id$
# Authority: dag

%define real_version 20090807

Summary: Adaptive Multi Rate speech codec
Name: opencore-amr
Version: 0.1.1
Release: 0.git20090807.rf
License: Apache License
Group: System Environment/Libraries
URL: http://opencore-amr.sourceforge.net/

### git clone git://opencore-amr.git.sourceforge.net/gitroot/opencore-amr opencore-amr-$(date +%Y%m%d)
### tar -cvj --exclude '.git*' -f opencore-amr-$(date +%Y%m%d).tar.bz2 opencore-amr-$(date +%Y%m%d)/
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/opencore-amr/opencore-amr-%{real_version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec. The
implementation is derived from the OpenCORE framework, part of the
Google Android project.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -n %{name}-%{real_version}

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_libdir}/libopencore-amrnb.so.*
%{_libdir}/libopencore-amrwb.so.*

%files devel
%defattr(-, root, root, 0755)
%doc test/*
%{_includedir}/*
%{_libdir}/libopencore-amrnb.so
%{_libdir}/libopencore-amrwb.so
%{_libdir}/pkgconfig/opencore-amrnb.pc
%{_libdir}/pkgconfig/opencore-amrwb.pc
%exclude %{_libdir}/libopencore-amrnb.la
%exclude %{_libdir}/libopencore-amrwb.la

%changelog
* Fri Aug 07 2009 Bjarne Saltbaek <arnebjarne72@hotmail.com> 0.1.1-0.git20090807 - +/
- Initial package.
